Bug 242793 - Video applet show a black square and does nothing.
Summary: Video applet show a black square and does nothing.
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Video (show other bugs)
Version: 2.4-GIT
Platform: Compiled Sources Linux
: HI major (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords: regression
: 256785 263333 264786 265712 288780 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-06-25 16:37 UTC by Alexander
Modified: 2012-05-08 13:53 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander 2010-06-25 16:37:54 UTC
Version:           2.3.1-GIT (using KDE 4.4.4) 
OS:                Linux

Subj. Sometimes it will happens. For me, it happens after playing this video — http://www.youtube.com/watch?v=6_PAHbqq-o4&feature=related Guaranted, when this video has ended and a next track in the playlist has started to play.

Reproducible: Didn't try
Comment 1 Alexander 2010-06-25 16:39:34 UTC
Proof — http://img714.imageshack.us/img714/1555/124pi.png
Comment 2 Mark Kretschmann 2010-10-04 12:55:30 UTC
It's definitely broken. Doesn't work here either.

@Simon: Are you still maintaining it?
Comment 3 Myriam Schweingruber 2010-11-16 20:56:45 UTC
*** Bug 256785 has been marked as a duplicate of this bug. ***
Comment 4 Ognyan Angelov 2010-12-07 00:23:21 UTC
Setup:
  Amarok 2.3.2
  KDE 4.4.5
Test Result:
  Works fine here.
Comment 5 Myriam Schweingruber 2010-12-07 12:04:00 UTC
Bumping version from duplicate in comment #3
Comment 6 Myriam Schweingruber 2011-01-16 18:53:15 UTC
*** Bug 263333 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2011-01-16 18:55:25 UTC
There is no black square anymore, but it still doesn't work.
Comment 8 Myriam Schweingruber 2011-01-31 00:21:57 UTC
*** Bug 264786 has been marked as a duplicate of this bug. ***
Comment 9 bjamesv 2011-03-15 04:28:38 UTC
seems related, in 2.4.0 clicking thumbnail in video widget results in the loading ring for a short moment, then playback just goes to next track in playlist.

much output from amarok --debug, but this seems the relevant portion:
(help in producing better output would be appreciated)

amarok: BEGIN: virtual void Playlist::PrettyListView::contextMenuEvent(QContextMenuEvent*) 
amarok:   BEGIN: void Playlist::ViewCommon::trackMenu(QWidget*, const QModelIndex*, const QPoint&) 
amarok:     BEGIN: void Playlist::PrettyListView::stopAfterTrack() 
amarok:     END__: void Playlist::PrettyListView::stopAfterTrack() [Took: 0s] 
amarok:   END__: void Playlist::ViewCommon::trackMenu(QWidget*, const QModelIndex*, const QPoint&) [Took: 0.98s] 
amarok: END__: virtual void Playlist::PrettyListView::contextMenuEvent(QContextMenuEvent*) [Took: 0.98s] 
amarok: BEGIN: void Playlist::PrettyListView::trackActivated(const QModelIndex&) 
amarok:   BEGIN: void Playlist::Actions::play(const QModelIndex&) 
amarok:     BEGIN: void Playlist::Actions::play(quint64, bool) 
amarok:       BEGIN: void EngineController::play(Meta::TrackPtr, uint) 
amarok:         BEGIN: virtual void MetaStream::Track::unsubscribe(Meta::Observer*) 
amarok:           Removing observer:  0x8f182d8 
amarok:         END__: virtual void MetaStream::Track::unsubscribe(Meta::Observer*) [Took: 0s] 
amarok:         BEGIN: void EngineController::stop(bool) 
amarok:           BEGIN: void EngineController::slotNewTrackPlaying(const Phonon::MediaSource&) 
amarok:             [EngineController] Empty MediaSource (engine stop) 
amarok:           END__: void EngineController::slotNewTrackPlaying(const Phonon::MediaSource&) [Took: 0s] 
amarok:         END__: void EngineController::stop(bool) [Took: 0s] 
amarok:         [EngineController] play: bounded is  QObject(0x0)  current "Passion Pit - Sleepyhead" 
amarok:         [EngineController] Just a normal, boring track... :-P 
amarok:         BEGIN: void EngineController::playUrl(const KUrl&, uint) 
amarok:           [EngineController] URL:  "http://www.youtubia.com/flv_returner.php?video_id=na1OdO30Yp8&feature" 
amarok:           [EngineController] offset:  0 
amarok:           BEGIN: void EngineController::slotNewTrackPlaying(const Phonon::MediaSource&) 
amarok:             BEGIN: virtual void MetaStream::Track::unsubscribe(Meta::Observer*) 
amarok:               Removing observer:  0x8f182d8 
amarok:             END__: virtual void MetaStream::Track::unsubscribe(Meta::Observer*) [Took: 0s] 
amarok:             [EngineController] Using gain of 0 with relative peak of 0 
amarok:             BEGIN: virtual void MetaStream::Track::subscribe(Meta::Observer*) 
amarok:               Adding observer:  0x8f182d8 
amarok:             END__: virtual void MetaStream::Track::subscribe(Meta::Observer*) [Took: 0s] 
amarok:             BEGIN: void Context::ContextView::slotTrackChanged(Meta::TrackPtr) 
amarok:               BEGIN: void VideoclipEngine::update() 
amarok:                 BEGIN: virtual void MetaStream::Track::unsubscribe(Meta::Observer*) 
amarok:                   Removing observer:  0xacab60c 
amarok:                 END__: virtual void MetaStream::Track::unsubscribe(Meta::Observer*) [Took: 0s] 
amarok:                 BEGIN: virtual void MetaStream::Track::subscribe(Meta::Observer*) 
amarok:                   Adding observer:  0xacab60c 
amarok:                 END__: virtual void MetaStream::Track::subscribe(Meta::Observer*) [Took: 0s] 
amarok:                 [VideoclipEngine] Vimeo query url: KUrl("http://vimeo.com/videos/search:Anonymouseur Passion Pit - Sleepyhead") 
amarok:               END__: void VideoclipEngine::update() [Took: 0s] 
amarok:             END__: void Context::ContextView::slotTrackChanged(Meta::TrackPtr) [Took: 0s] 
amarok:             BEGIN: void LyricsAppletPrivate::_trackDataChanged(Meta::TrackPtr) 
amarok:             END__: void LyricsAppletPrivate::_trackDataChanged(Meta::TrackPtr) [Took: 0s] 
amarok:             BEGIN: bool EngineController::isStream() 
amarok:             END__: bool EngineController::isStream() [Took: 0s] 
amarok:             [WikipediaEngine] Fetching langlinks: KUrl("http://en.wikipedia.org/w/api.php?action=query&prop=langlinks&titles=Anonymouseur&format=xml&lllimit=100&redirects=1") 
amarok:             BEGIN: void Playlist::Actions::slotTrackPlaying(Meta::TrackPtr) 
amarok:               BEGIN: void StatusBar::updateTotalPlaylistLength() 
amarok:               END__: void StatusBar::updateTotalPlaylistLength() [Took: 0.011s] 
amarok:               BEGIN: void Playlist::NonlinearTrackNavigator::slotActiveTrackChanged(quint64) 
amarok:                 BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:                 END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:                 BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:                 END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:                 BEGIN: virtual void Playlist::NonlinearTrackNavigator::setCurrentItem(quint64, bool) 
amarok:                   BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:                   END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:                 END__: virtual void Playlist::NonlinearTrackNavigator::setCurrentItem(quint64, bool) [Took: 0s] 
amarok:               END__: void Playlist::NonlinearTrackNavigator::slotActiveTrackChanged(quint64) [Took: 0s] 
amarok:               BEGIN: void Playlist::PrettyListView::slotPlaylistActiveTrackChanged() 
amarok:                 BEGIN: void Playlist::PrettyListView::scrollToActiveTrack() 
amarok:                 END__: void Playlist::PrettyListView::scrollToActiveTrack() [Took: 0s] 
amarok:               END__: void Playlist::PrettyListView::slotPlaylistActiveTrackChanged() [Took: 0s] 
amarok:             END__: void Playlist::Actions::slotTrackPlaying(Meta::TrackPtr) [Took: 0.019s] 
amarok:             BEGIN: void TimecodeObserver::trackPlaying(Meta::TrackPtr) 
amarok:             END__: void TimecodeObserver::trackPlaying(Meta::TrackPtr) [Took: 0s] 
amarok:             BEGIN: void ProgressWidget::trackLengthChanged(qint64) 
amarok:               new length:  -1 
amarok:               slider enabled! 
amarok:               BEGIN: void ProgressWidget::redrawBookmarks(const QString*) 
amarok:               END__: void ProgressWidget::redrawBookmarks(const QString*) [Took: 0s] 
amarok:             END__: void ProgressWidget::trackLengthChanged(qint64) [Took: 0s] 
amarok:             BEGIN: void OSDWidget::show(const QString&, QImage) 
amarok:             END__: void OSDWidget::show(const QString&, QImage) [Took: 0s] 
amarok:             BEGIN: void CurrentEngine::trackPlaying(Meta::TrackPtr) 
amarok:               [CurrentEngine] updating track "Passion Pit - Sleepyhead" 
amarok:             END__: void CurrentEngine::trackPlaying(Meta::TrackPtr) [Took: 0s] 
amarok:             BEGIN: void VideoclipApplet::trackPlaying() 
amarok:             END__: void VideoclipApplet::trackPlaying() [Took: 0s] 
amarok:           END__: void EngineController::slotNewTrackPlaying(const Phonon::MediaSource&) [Took: 0.027s] 
amarok:           [EngineController] track pos after play:  0 
amarok:         END__: void EngineController::playUrl(const KUrl&, uint) [Took: 0.031s] 
amarok:       END__: void EngineController::play(Meta::TrackPtr, uint) [Took: 0.032s] 
amarok:     END__: void Playlist::Actions::play(quint64, bool) [Took: 0.032s] 
amarok:   END__: void Playlist::Actions::play(const QModelIndex&) [Took: 0.032s] 
amarok: END__: void Playlist::PrettyListView::trackActivated(const QModelIndex&) [Took: 0.032s] 
amarok: BEGIN: void LyricsEngine::update() 
amarok:   [LyricsEngine] current track is "Passion Pit - Sleepyhead" 
amarok:   BEGIN: void ScriptManager::notifyFetchLyrics(const QString&, const QString&) 
amarok:     SCRIPT "Lyricwiki" :  "request URL: http://lyrics.wikia.com/api.php?action=query&prop=revisions&rvprop=content&format=xml&titles=Anonymouseur:Passion_Pit_-_Sleepyhead" 
amarok:     BEGIN: static QScriptValue Downloader::init(QScriptContext*, QScriptEngine*, bool) 
amarok:     END__: static QScriptValue Downloader::init(QScriptContext*, QScriptEngine*, bool) [Took: 0s] 
amarok:   END__: void ScriptManager::notifyFetchLyrics(const QString&, const QString&) [Took: 0s] 
amarok: END__: void LyricsEngine::update() [Took: 0.001s] 
amarok: BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok: END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok: BEGIN: Playlist::ItemList* Playlist::NonlinearTrackNavigator::nextItemChooseDonorList() 
amarok:   BEGIN: virtual void Playlist::RandomTrackNavigator::planOne() 
amarok:     BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:     END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:     BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:     END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:     BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:     END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:     BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:     END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:     BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:     END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:     BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:     END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:   END__: virtual void Playlist::RandomTrackNavigator::planOne() [Took: 0s] 
amarok: END__: Playlist::ItemList* Playlist::NonlinearTrackNavigator::nextItemChooseDonorList() [Took: 0s] 
amarok: BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok: END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok: BEGIN: virtual void VideoclipApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok:   [VideoclipApplet]  message fetching  
amarok: END__: virtual void VideoclipApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) [Took: 0s] 
amarok: BEGIN: void CurrentTrack::dataUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok:   BEGIN: void CurrentTrack::resizeCover(const QPixmap&, qreal) 
amarok:   END__: void CurrentTrack::resizeCover(const QPixmap&, qreal) [Took: 0.004s] 
amarok: END__: void CurrentTrack::dataUpdated(const QString&, const QHash<QString, QVariant>&) [Took: 0.004s] 
amarok: BEGIN: void LyricsApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok: END__: void LyricsApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) [Took: 0s] 
amarok: [WikipediaEngine] Fetching listing: KUrl("http://en.wikipedia.org/w/api.php?action=query&list=search&srsearch=Anonymouseur&srprop=size&srredirects=1&srlimit=20&format=xml") 
amarok: BEGIN: static QScriptValue Downloader::init(QScriptContext*, QScriptEngine*, bool) 
amarok: END__: static QScriptValue Downloader::init(QScriptContext*, QScriptEngine*, bool) [Took: 0s] 
amarok: BEGIN: void WikipediaEnginePrivate::_dataContainerUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok: END__: void WikipediaEnginePrivate::_dataContainerUpdated(const QString&, const QHash<QString, QVariant>&) [Took: 0s] 
amarok: BEGIN: void WikipediaApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok: END__: void WikipediaApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) [Took: 0s] 
amarok: BEGIN: void AmarokScript::AmarokLyricsScript::showLyricsNotFound(const QString&) const 
amarok:   BEGIN: void LyricsManager::lyricsNotFound(const QString&) 
amarok:     BEGIN: bool LyricsManager::showCached() 
amarok:     END__: bool LyricsManager::showCached() [Took: 0s] 
amarok:     BEGIN: void LyricsSubject::sendLyricsMessage(QString, QString) 
amarok:       BEGIN: virtual void LyricsEngine::lyricsMessage(QString&, QString&) 
amarok:       END__: virtual void LyricsEngine::lyricsMessage(QString&, QString&) [Took: 0s] 
amarok:     END__: void LyricsSubject::sendLyricsMessage(QString, QString) [Took: 0s] 
amarok:   END__: void LyricsManager::lyricsNotFound(const QString&) [Took: 0s] 
amarok: END__: void AmarokScript::AmarokLyricsScript::showLyricsNotFound(const QString&) const [Took: 0s] 
amarok: BEGIN: void LyricsApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok: END__: void LyricsApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) [Took: 0s] 
amarok: BEGIN: void EngineController::slotNewTrackPlaying(const Phonon::MediaSource&) 
amarok:   BEGIN: virtual void MetaStream::Track::unsubscribe(Meta::Observer*) 
amarok:     Removing observer:  0x8f182d8 
amarok:   END__: virtual void MetaStream::Track::unsubscribe(Meta::Observer*) [Took: 0s] 
amarok:   [EngineController] Using gain of 0 with relative peak of 0 
amarok:   BEGIN: virtual void MetaStream::Track::subscribe(Meta::Observer*) 
amarok:     Adding observer:  0x8f182d8 
amarok:   END__: virtual void MetaStream::Track::subscribe(Meta::Observer*) [Took: 0s] 
amarok:   BEGIN: void Context::ContextView::slotTrackChanged(Meta::TrackPtr) 
amarok:     BEGIN: void VideoclipEngine::update() 
amarok:       BEGIN: virtual void MetaStream::Track::unsubscribe(Meta::Observer*) 
amarok:         Removing observer:  0xacab60c 
amarok:       END__: virtual void MetaStream::Track::unsubscribe(Meta::Observer*) [Took: 0s] 
amarok:       BEGIN: virtual void MetaStream::Track::subscribe(Meta::Observer*) 
amarok:         Adding observer:  0xacab60c 
amarok:       END__: virtual void MetaStream::Track::subscribe(Meta::Observer*) [Took: 0s] 
amarok:       [VideoclipEngine] Vimeo query url: KUrl("http://vimeo.com/videos/search:Anonymouseur Passion Pit - Sleepyhead") 
amarok:     END__: void VideoclipEngine::update() [Took: 0s] 
amarok:   END__: void Context::ContextView::slotTrackChanged(Meta::TrackPtr) [Took: 0s] 
amarok:   BEGIN: void LyricsAppletPrivate::_trackDataChanged(Meta::TrackPtr) 
amarok:   END__: void LyricsAppletPrivate::_trackDataChanged(Meta::TrackPtr) [Took: 0s] 
amarok:   BEGIN: void Playlist::Actions::slotTrackPlaying(Meta::TrackPtr) 
amarok:     [WARNING] [Playlist::Actions] engineNewTrackPlaying: "Passion Pit - Sleepyhead" does not match what the playlist controller thought it should be 
amarok:   END__: void Playlist::Actions::slotTrackPlaying(Meta::TrackPtr) [Took: 0s] 
amarok:   BEGIN: void TimecodeObserver::trackPlaying(Meta::TrackPtr) 
amarok:   END__: void TimecodeObserver::trackPlaying(Meta::TrackPtr) [Took: 0s] 
amarok:   BEGIN: void ProgressWidget::trackLengthChanged(qint64) 
amarok:     new length:  -1 
amarok:     slider enabled! 
amarok:     BEGIN: void ProgressWidget::redrawBookmarks(const QString*) 
amarok:     END__: void ProgressWidget::redrawBookmarks(const QString*) [Took: 0s] 
amarok:   END__: void ProgressWidget::trackLengthChanged(qint64) [Took: 0s] 
amarok:   BEGIN: void OSDWidget::show(const QString&, QImage) 
amarok:   END__: void OSDWidget::show(const QString&, QImage) [Took: 0s] 
amarok:   BEGIN: void CurrentEngine::trackPlaying(Meta::TrackPtr) 
amarok:     [CurrentEngine] updating track "Passion Pit - Sleepyhead" 
amarok:   END__: void CurrentEngine::trackPlaying(Meta::TrackPtr) [Took: 0s] 
amarok:   BEGIN: void VideoclipApplet::trackPlaying() 
amarok:   END__: void VideoclipApplet::trackPlaying() [Took: 0s] 
amarok: END__: void EngineController::slotNewTrackPlaying(const Phonon::MediaSource&) [Took: 0.003s] 
amarok: BEGIN: void LyricsEngine::update() 
amarok:   [LyricsEngine] current track is "Passion Pit - Sleepyhead" 
amarok:   BEGIN: bool LyricsEngine::testLyricsChanged(const QString&, const QString&, QStringList) const 
amarok:     [LyricsEngine] compared lyrics are the same =  false 
amarok:   END__: bool LyricsEngine::testLyricsChanged(const QString&, const QString&, QStringList) const [Took: 0s] 
amarok: END__: void LyricsEngine::update() [Took: 0s] 
amarok: BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok: END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok: BEGIN: Playlist::ItemList* Playlist::NonlinearTrackNavigator::nextItemChooseDonorList() 
amarok: END__: Playlist::ItemList* Playlist::NonlinearTrackNavigator::nextItemChooseDonorList() [Took: 0s] 
amarok: BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok: END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok: BEGIN: void EngineController::slotStateChanged(Phonon::State, Phonon::State) 
amarok:   [WARNING] [EngineController] Phonon failed to play this URL. Error:  "" 
amarok:   [WARNING] [EngineController] Forcing phonon engine reinitialization. 
amarok:   BEGIN: void EngineController::initializePhonon() 
amarok(14892)/kio (KIOJob) KIO::SimpleJob::doKill: KIO::TransferJob(0xa02ad80) This is overkill. 
amarok:     [EngineController] Tick Interval (actual):  100 
amarok:   END__: void EngineController::initializePhonon() [Took: 0.034s] 
amarok:   BEGIN: void EngineController::slotAboutToFinish() 
amarok:     [EngineController] Track finished completely, updating statistics 
amarok:     BEGIN: void Playlist::Actions::requestNextTrack() 
amarok:       [Playlist::Actions] so far so good! 
amarok:       BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:       END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:       BEGIN: Playlist::ItemList* Playlist::NonlinearTrackNavigator::nextItemChooseDonorList() 
amarok:       END__: Playlist::ItemList* Playlist::NonlinearTrackNavigator::nextItemChooseDonorList() [Took: 0s] 
amarok:       BEGIN: virtual void Playlist::NonlinearTrackNavigator::setCurrentItem(quint64, bool) 
amarok:         BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:         END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:       END__: virtual void Playlist::NonlinearTrackNavigator::setCurrentItem(quint64, bool) [Took: 0s] 
amarok:       BEGIN: void StatusBar::updateTotalPlaylistLength() 
amarok:       END__: void StatusBar::updateTotalPlaylistLength() [Took: 0.005s] 
amarok:       BEGIN: void Playlist::NonlinearTrackNavigator::slotActiveTrackChanged(quint64) 
amarok:         BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:         END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:         BEGIN: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() 
amarok:         END__: void Playlist::NonlinearTrackNavigator::doItemListsMaintenance() [Took: 0s] 
amarok:       END__: void Playlist::NonlinearTrackNavigator::slotActiveTrackChanged(quint64) [Took: 0s] 
amarok:       BEGIN: void Playlist::PrettyListView::slotPlaylistActiveTrackChanged() 
amarok:         BEGIN: void Playlist::PrettyListView::scrollToActiveTrack() 
amarok:         END__: void Playlist::PrettyListView::scrollToActiveTrack() [Took: 0.041s] 
amarok:       END__: void Playlist::PrettyListView::slotPlaylistActiveTrackChanged() [Took: 0.041s] 
amarok:     END__: void Playlist::Actions::requestNextTrack() [Took: 0.05s] 
amarok:   END__: void EngineController::slotAboutToFinish() [Took: 0.05s] 
amarok: END__: void EngineController::slotStateChanged(Phonon::State, Phonon::State) [Took: 0.084s] 
amarok: BEGIN: virtual void VideoclipApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok:   [VideoclipApplet]  message fetching  
amarok: END__: virtual void VideoclipApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) [Took: 0s] 
amarok: BEGIN: void CurrentTrack::dataUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok: END__: void CurrentTrack::dataUpdated(const QString&, const QHash<QString, QVariant>&) [Took: 0s] 
QFont::setPointSize: Point size <= 0 (0), must be greater than 0
QFont::setPointSize: Point size <= 0 (0), must be greater than 0
QFont::setPointSize: Point size <= 0 (0), must be greater than 0
QFont::setPointSize: Point size <= 0 (0), must be greater than 0
QFont::setPointSize: Point size <= 0 (0), must be greater than 0
QFont::setPointSize: Point size <= 0 (0), must be greater than 0
amarok: BEGIN: void VideoclipEngine::resultFinalize() 
amarok:   [VideoclipEngine] VideoClipEngine total Fetched :  1  entries 
amarok: END__: void VideoclipEngine::resultFinalize() [Took: 0s] 
amarok: BEGIN: virtual void VideoclipApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) 
amarok: END__: virtual void VideoclipApplet::dataUpdated(const QString&, const QHash<QString, QVariant>&) [Took: 0.024s] 
amarok: BEGIN: void SqlRegistry::emptyCache() 
amarok:   [SqlRegistry] Cache unchanged 
amarok: END__: void SqlRegistry::emptyCache() [Took: 0s] 
amarok: BEGIN: virtual void ScannerJob::run() 
amarok:   BEGIN: bool ScannerJob::createScannerProcess(bool) 
amarok:     [ScanManager] starting scanner now: 
amarok:   END__: bool ScannerJob::createScannerProcess(bool) [Took: 0.009s] 
amarok:   BEGIN: void ScannerJob::getScannerOutput() 
amarok:   END__: void ScannerJob::getScannerOutput() [Took: 0.03s] 
amarok:   BEGIN: void ScannerJob::getScannerOutput() 
amarok:   END__: void ScannerJob::getScannerOutput() [Took: 0s] 
amarok:   [ScanManager] ScannerJob: got count: 3 
amarok:   [ScanManager] ScannerJob: run: 0 current path "Music" 
amarok:   [ScanManager] ScannerJob: run: 1 current path "../../media/junk/aud/tmp/incomplete" 
amarok:   BEGIN: void ScannerJob::getScannerOutput() 
amarok:   END__: void ScannerJob::getScannerOutput() [Took: 0s] 
amarok:   [ScanManager] ScannerJob: run: 2 current path "../../media/junk/aud/tmp" 
amarok:   BEGIN: virtual void SqlScanResultProcessor::commit() 
amarok:   END__: virtual void SqlScanResultProcessor::commit() [Took: 0.007s] 
amarok:   [ScanManager] ScannerJob finished 
amarok: END__: virtual void ScannerJob::run() [Took: 0.059s] 
amarok: BEGIN: virtual ScannerJob::~ScannerJob() 
amarok: END__: virtual ScannerJob::~ScannerJob() [Took: 0s] 
amarok: BEGIN: void StatusBar::hideProgress() 
amarok: END__: void StatusBar::hideProgress() [Took: 0s] 
amarok: BEGIN: void SqlRegistry::emptyCache() 
amarok:   [SqlRegistry] Cache unchanged 
amarok: END__: void SqlRegistry::emptyCache() [Took: 0s] 
amarok: BEGIN: void SqlRegistry::emptyCache() 
amarok:   [SqlRegistry] Cache unchanged 
amarok: END__: void SqlRegistry::emptyCache() [Took: 0s] 
amarok: BEGIN: virtual void ScannerJob::run() 
amarok:   BEGIN: bool ScannerJob::createScannerProcess(bool) 
amarok:     [ScanManager] starting scanner now: 
amarok:   END__: bool ScannerJob::createScannerProcess(bool) [Took: 0.006s] 
amarok:   BEGIN: void ScannerJob::getScannerOutput() 
amarok:   END__: void ScannerJob::getScannerOutput() [Took: 0.032s] 
amarok:   BEGIN: void ScannerJob::getScannerOutput() 
amarok:   END__: void ScannerJob::getScannerOutput() [Took: 0s] 
amarok:   [ScanManager] ScannerJob: got count: 3 
amarok:   [ScanManager] ScannerJob: run: 0 current path "Music" 
amarok:   BEGIN: void ScannerJob::getScannerOutput() 
amarok:   END__: void ScannerJob::getScannerOutput() [Took: 0s] 
amarok:   [ScanManager] ScannerJob: run: 1 current path "../../media/junk/aud/tmp/incomplete" 
amarok:   BEGIN: void ScannerJob::getScannerOutput() 
amarok:   END__: void ScannerJob::getScannerOutput() [Took: 0.002s] 
amarok:   [ScanManager] ScannerJob: run: 2 current path "../../media/junk/aud/tmp" 
amarok:   BEGIN: void ScannerJob::getScannerOutput() 
amarok:   END__: void ScannerJob::getScannerOutput() [Took: 0s] 
amarok:   BEGIN: virtual void SqlScanResultProcessor::commit() 
amarok:   END__: virtual void SqlScanResultProcessor::commit() [Took: 0.006s] 
amarok:   [ScanManager] ScannerJob finished 
amarok: END__: virtual void ScannerJob::run() [Took: 0.058s] 
amarok: BEGIN: virtual ScannerJob::~ScannerJob() 
amarok: END__: virtual ScannerJob::~ScannerJob() [Took: 0s] 
amarok: BEGIN: void StatusBar::hideProgress() 
amarok: END__: void StatusBar::hideProgress() [Took: 0s] 
amarok: BEGIN: virtual void Playlist::PrettyListView::contextMenuEvent(QContextMenuEvent*) 
amarok:   BEGIN: void Playlist::ViewCommon::trackMenu(QWidget*, const QModelIndex*, const QPoint&) 
amarok:     BEGIN: void Playlist::PrettyListView::stopAfterTrack() 
amarok:     END__: void Playlist::PrettyListView::stopAfterTrack() [Took: 0s] 
amarok:   END__: void Playlist::ViewCommon::trackMenu(QWidget*, const QModelIndex*, const QPoint&) [Took: 1.3s] 
amarok: END__: virtual void Playlist::PrettyListView::contextMenuEvent(QContextMenuEvent*) [Took: 1.3s]
Comment 10 Sandeep 2011-04-12 02:14:19 UTC
Slightly different problem here. Tries to search for a plugin to handle text/html and fails. Sometimes crashes. Using 2.4-GIT.
Comment 11 Kevin Funk 2011-06-05 19:33:48 UTC
*** Bug 265712 has been marked as a duplicate of this bug. ***
Comment 12 Myriam Schweingruber 2012-01-02 00:13:18 UTC
*** Bug 288780 has been marked as a duplicate of this bug. ***
Comment 13 Sam Lade 2012-05-08 13:53:20 UTC
Git commit fc3d68a9c717dd02b7d5af9d6e47aa94c4e44012 by Sam Lade.
Committed on 08/05/2012 at 15:18.
Pushed by lade into branch 'master'.

Remove context view video applet

Unmaintained and broken for quite some time.
FIXED-IN:2.6

M  +1    -0    ChangeLog
M  +0    -1    src/context/applets/CMakeLists.txt
D  +0    -34   src/context/applets/videoclip/CMakeLists.txt
D  +0    -113  src/context/applets/videoclip/CustomVideoWidget.cpp
D  +0    -53   src/context/applets/videoclip/CustomVideoWidget.h
D  +0    -132  src/context/applets/videoclip/VideoItemButton.cpp
D  +0    -64   src/context/applets/videoclip/VideoItemButton.h
D  +0    -540  src/context/applets/videoclip/VideoclipApplet.cpp
D  +0    -112  src/context/applets/videoclip/VideoclipApplet.h
D  +0    -66   src/context/applets/videoclip/amarok-context-applet-videoclip.desktop
D  +-    --    src/context/applets/videoclip/amarok-videoclip-dailymotion.png
D  +-    --    src/context/applets/videoclip/amarok-videoclip-vimeo.png
D  +-    --    src/context/applets/videoclip/amarok-videoclip-youtube.png
D  +0    -28   src/context/applets/videoclip/videoclipSettings.ui
M  +0    -1    src/context/engines/CMakeLists.txt
D  +0    -15   src/context/engines/videoclip/CMakeLists.txt
D  +0    -756  src/context/engines/videoclip/VideoclipEngine.cpp
D  +0    -185  src/context/engines/videoclip/VideoclipEngine.h
D  +0    -40   src/context/engines/videoclip/VideoclipInfo.h
D  +0    -54   src/context/engines/videoclip/amarok-data-engine-videoclip.desktop

http://commits.kde.org/amarok/fc3d68a9c717dd02b7d5af9d6e47aa94c4e44012